package com.gic.evaluate.web.controller;

import com.gic.download.utils.DownloadUtils;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-01-14 16:47
 */
@RestController
public class EvaluateExportController extends DownloadUtils {



    private enum EvaluateFieldEnum{
        evaluateTime("evaluateTime", "首次评价时间", 0),
        memberName("memberName", "会员姓名", 0),
        memberPhone("memberPhone", "会员手机号", 0),
        goodsScore("goodsScore", "商品质量评分", 0),
        storeScore("storeScore", "门店环境评分", 0),
        serviceScore("serviceScore", "服务能力评分", 0),
        evaluateContent("evaluateContent", "评语", 0),

        evaluateId("evaluateId", "费用", 0),
        storeId("storeId", "费用", 0),
        clerkName("clerkName", "费用", 0),
        memberId("memberId", "费用", 0),
        orderId("orderId", "费用", 0),
        memberImgUrl("memberImgUrl", "费用", 0),
        goodsId("goodsId", "费用", 0),
        goodsInfo("goodsInfo", "费用", 0),
        storeName("storeName", "费用", 0),
        storeCode("storeCode", "费用", 0),
        storePhone("storePhone", "费用", 0),
        storeGroupId("storeGroupId", "费用", 0),
        storeGroupName("storeGroupName", "费用", 0),
        orderNumber("orderNumber", "费用", 0),
        receiptsDate("receiptsDate", "费用", 0),
        clerkId("clerkId", "费用", 0),
        badEvaluateStatus("badEvaluateStatus", "费用", 0),
        goodEvaluateStatus("goodEvaluateStatus", "费用", 0),
        reviewStatus("reviewStatus", "费用", 0),
        topHotStatus("topHotStatus", "费用", 0),
        maliciousStatus("maliciousStatus", "费用", 0),
        showStatus("showStatus", "费用", 0),
        visitStatus("visitStatus", "费用", 0),
        replyStatus("replyStatus", "费用", 0),
        ;
        private String fieldCode;
        private String fieldName;
        private Integer needEncrypt;

        EvaluateFieldEnum(String fieldCode, String fieldName, Integer needEncrypt) {
            this.fieldCode = fieldCode;
            this.fieldName = fieldName;
            this.needEncrypt = needEncrypt;
        }

        public String getFieldCode() {
            return fieldCode;
        }

        public String getFieldName() {
            return fieldName;
        }

        public Integer getNeedEncrypt() {
            return needEncrypt;
        }
    }

}